<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/d3/3.5.6/d3.min.js" charset="utf-8"></script>

<script>
function rem()
{
    console.log("removed");
    //$("#myid2").remove();
    d3.selectAll("#myid2").remove();
}
</script>

Click inside the rectangle:

<svg width="100%" height="100%">

  <g id="myid2">
      <g id="myid">
         <rect onclick="rem()" fill="red"
               x="0" y="0" width="200" height="100"></rect>
      </g>
  </g>
</svg>
